Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class Class

Method Summary
`MetaClass` | `getMetaClass()` Adds a "metaClass" property to all class objects so you can use the syntax `String`
`boolean` | `isCase(Object switchValue)` Special 'Case' implementation for Class, which allows testing for a certain class in a switch statement For example:

    switch( obj ) {
    case List :
    // obj is a list
    break;
    case Set :
    // etc
    }
`Object` | `newInstance()` Convenience method to dynamically create a new instance of this class
`Object` | `newInstance(Object[] args)` Helper to construct a new instance from the given arguments The constructor is called based on the number and types in the args array `newInstance()` for the default (no-arg) constructor

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

  Adds a "metaClass" property to all class objects so you can use the syntax `String.metaClass.myMethod = { println "foo" }`

Returns:
  An MetaClass instance

### isCase

    public boolean isCase(Object switchValue)

  Special 'Case' implementation for Class, which allows testing for a certain class in a switch statement. For example:

      switch( obj ) {
      case List :
      // obj is a list
      break;
      case Set :
      // etc
      }

Parameters:
  `switchValue` - the switch value.
Returns:
  true if the switchValue is deemed to be assignable from the given class

### newInstance

    public Object newInstance()

  Convenience method to dynamically create a new instance of this class. Calls the default constructor.

Returns:
  a new instance of this class

### newInstance

    public Object newInstance(Object[] args)

  Helper to construct a new instance from the given arguments. The constructor is called based on the number and types in the args array. Use `newInstance(null)` or simply `newInstance()` for the default (no-arg) constructor.

Parameters:
  `args` - the constructor arguments.
Returns:
  a new instance of this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK